summaryrefslogtreecommitdiff
path: root/tct
diff options
context:
space:
mode:
authorAleksander Mistewicz <a.mistewicz@samsung.com>2016-09-09 11:13:40 +0200
committerAleksander Mistewicz <a.mistewicz@samsung.com>2016-12-06 16:37:14 +0100
commitadae6565561dc259e1b32f3c9d8ab11307ca2586 (patch)
tree03c0844f18b1a31237daf5df46c554c1f24fdeff /tct
parentde5ea384b9d1a7863b7eea25fbaa9ccd49755b85 (diff)
downloadmajor-adae6565561dc259e1b32f3c9d8ab11307ca2586.tar.gz
major-adae6565561dc259e1b32f3c9d8ab11307ca2586.tar.bz2
major-adae6565561dc259e1b32f3c9d8ab11307ca2586.zip
Move "run" section to separate file for minnow
Change-Id: I56ed1b7142ea80397af7653131d7d89587a126e0 Signed-off-by: Aleksander Mistewicz <a.mistewicz@samsung.com>
Diffstat (limited to 'tct')
-rwxr-xr-xtct/minnow_prepare_flash_conf.sh21
-rwxr-xr-xtct/minnow_run.sh62
2 files changed, 64 insertions, 19 deletions
diff --git a/tct/minnow_prepare_flash_conf.sh b/tct/minnow_prepare_flash_conf.sh
index b536413..8f7308d 100755
--- a/tct/minnow_prepare_flash_conf.sh
+++ b/tct/minnow_prepare_flash_conf.sh
@@ -18,6 +18,7 @@
# Compatibile with both (32-bit and 64-bit) versions.
# Configuration file in $TL_IP_CONF is required; format is:
# <IP address> <SDMUX>
+# It leaves CONNECT_CNT in sysctl.result to be later used by minnow_run.sh
#
# Synatx is: minnow_prepare_conf_flash.sh $SDMUX $IMAGE
#
@@ -28,7 +29,6 @@ export TESTLAB_SCRIPTS="$(CDPATH='' cd -- "$(dirname -- "$0")" && pwd -P)"
. "${TESTLAB_SCRIPTS}/common.sh"
. "${TESTLAB_SCRIPTS}/flash/flash.sh"
. "${TESTLAB_SCRIPTS}/conf/conf.sh"
-. "${TESTLAB_SCRIPTS}/run/run.sh"
SDMUX="$1"
IMAGE="$2"
@@ -101,21 +101,4 @@ do
done
printf "\n"
-copy_ssh "${IP}" "${TESTLAB_SCRIPTS}/run/smoke_tests.sh"
-run_smoke_ssh "${IP}"
-
-echo "CONNECT_CNT $CONNECT_CNT" >> sysctl.result
-cat sysctl.result
-
-echo "### run ###"
-
-if [ -f "common_test.yaml" ]
-then
- run_avocado_ssh "${IP}" "avocado-results" "common_test.yaml"
-else
- echo "Missing file: common_test.yaml; skipping avocado tests"
-fi
-
-echo "### cleanup ###"
-
-switch2testserver "${SDMUX}"
+echo "CONNECT_CNT $CONNECT_CNT" > sysctl.result
diff --git a/tct/minnow_run.sh b/tct/minnow_run.sh
new file mode 100755
index 0000000..781541d
--- /dev/null
+++ b/tct/minnow_run.sh
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Script used to run smoke and avocado tests on Minnowboard MAX.
+# Compatibile with both (32-bit and 64-bit) versions.
+# Configuration file in $TL_IP_CONF is required; format is:
+# <IP address> <SDMUX>
+# It preserves CONNECT_CNT information left by odroid_prepare_flash_conf.sh
+# After test SDMUX is switched to testserver in order to increase sdcard
+# longetivity and make next flash faster.
+#
+# Syntax is: minnow_run.sh $SDMUX
+#
+# Author: Aleksander Mistewicz <a.mistewicz@samsung.com>
+
+export TESTLAB_SCRIPTS="$(CDPATH='' cd -- "$(dirname -- "$0")" && pwd -P)"
+
+. "${TESTLAB_SCRIPTS}/common.sh"
+. "${TESTLAB_SCRIPTS}/conf/conf.sh"
+. "${TESTLAB_SCRIPTS}/run/run.sh"
+. "${TESTLAB_SCRIPTS}/flash/flash.sh"
+
+SDMUX="$1"
+NATIVE_TCT_REPO="$2"
+
+test -n "${SDMUX}" || die "Missing argument: sdmux!"
+
+IP="$(get_ip "${SDMUX}")" || die "Error: get_ip failed!"
+
+test -f sysctl.result && CONNECT_CNT_STR="$(cat sysctl.result)"
+
+copy_ssh "${IP}" "${TESTLAB_SCRIPTS}/run/smoke_tests.sh"
+run_smoke_ssh "${IP}"
+
+test -n "$CONNECT_CNT_STR" && echo "$CONNECT_CNT_STR" >> sysctl.result
+cat sysctl.result
+
+echo "### run ###"
+
+if [ -f "common_test.yaml" ]
+then
+ run_avocado_ssh "${IP}" "avocado-results" "common_test.yaml"
+else
+ echo "Missing file: common_test.yaml; skipping avocado tests"
+fi
+
+echo "### cleanup ###"
+
+switch2testserver "${SDMUX}"